<?php

use Illuminate\Console\Command;
use React\Socket\Connection;
use React\Stream\Stream;
use React\EventLoop\Factory as LoopFactory;
use FutureHome\Handler\Hyperchannel;

class StartHyperChannel extends Command {

	/**
	 * The console command name.
	 *
	 * @var string
	 */
	protected $name = 'start:hyperchannel';

	/**
	 * The console command description.
	 *
	 * @var string
	 */
	protected $description = 'Start hyperchannel that communicates with the hive, backend-cube and vinculum.';

    protected $hyperchannel;

	/**
	 * Create a new command instance.
	 *
	 * @return void
	 */
	public function __construct()
	{
        \FutureHome\Socket\Logger::initLogger();

		parent::__construct();
        $this->loop   = LoopFactory::create();

        $this->hyperchannel = new Hyperchannel($this->loop);
	}

	/**
	 * Execute the console command.
	 *
	 * @return mixed
	 */
	public function fire()
	{
        $this->hyperchannel->start();
        $this->loop->run();
	}
}
