<?php

namespace FutureHome\Handler;

use Evenement\EventEmitter;
use FutureHome\Socket\Logger;
use React\Dns\Resolver\Factory as DnsFactory;
use React\HttpClient\Factory as HttpFactory;

class Log extends EventEmitter
{
    protected $loop;

    public function __construct($loop)
    {
        $this->loop = $loop;
    }

    public function getHyperchannelLog()
    {
        $log_path = \Config::get('app.hyperchannel_log_path', null);
        if ($log_path == null) {
            Logger::info("Hyperchannel log path empty skipping");
            return false;
        } else {
            return $this->getLog($log_path);
        }
        return false;
    }

    public function getVinculumLog()
    {
        $log_path = \Config::get('app.vinculum_log_path', null);
        if ($log_path == null) {
            Logger::info("Vinculum log path empty skipping");
            return false;
        } else {
            return $this->getLog($log_path);
        }
        return false;
    }

    public function getLog($log_path)
    {
        $log_contents = file_get_contents($log_path);
        $data = array(
            $log_path => $log_contents
        );

        return $data;
    }
}
