<?php
/**
 * Created by PhpStorm.
 * User: arunpoudel
 * Date: 11/12/14
 * Time: 12:22 PM
 */

namespace FutureHome\Socket;


use Symfony\Component\Console\Output\ConsoleOutput;

class Logger {
    static $_logger_interface;

    static public function initLogger()
    {
        self::$_logger_interface = new ConsoleOutput();
    }

    /**
     * Write a string as information output.
     *
     * @param  string  $string
     * @return void
     */
    static public function info($string)
    {
        self::$_logger_interface->writeln("<info>$string</info>");
    }

    /**
     * Write a string as standard output.
     *
     * @param  string  $string
     * @return void
     */
    static public function line($string)
    {
        self::$_logger_interface->writeln($string);
    }

    /**
     * Write a string as comment output.
     *
     * @param  string  $string
     * @return void
     */
    static public function comment($string)
    {
        self::$_logger_interface->writeln("<comment>$string</comment>");
    }

    /**
     * Write a string as error output.
     *
     * @param  string  $string
     * @return void
     */
    static public function error($string)
    {
        self::$_logger_interface->writeln("<error>$string</error>");
    }
} 