<?php

namespace FutureHome\Socket\Message;

use Ratchet\ConnectionInterface;
use FutureHome\Socket\Logger;

class Interceptor
{
    protected $handlers;

    public function __construct()
    {
        /* These are the interceptors */
            $this->handlers = array(

            );
    }

    public function handleMessage(ConnectionInterface $connection, SevenOfNine\Message $message)
    {
        $furtherHandling = true;
        foreach ($this->handlers as $handler) {
            if ($handler->canHandle($message)) {
                Logger::info('Message can be handled by '.get_class($handler));
                if ($handler->handle($connection, $message)) {
                    $furtherHandling = false;
                    break;
                }
            }
        }
        if ($furtherHandling && $message->getDst() !== SevenOfNine\Message::DST_HYPERCHANNEL) {
            $site = \SiteMap::getSite(\ConnectionMap::getConnection($connection));
            if ($site) {
                $site->handleMessage($message, md5(spl_object_hash($connection)));
            } else {
                Logger::error("Error handling message $message because no site available!");
            }
        }
    }
}
