<?php

Route::get('/', function() {
    return View::make('app');
});

Route::group(array('prefix' => 'v1/'), function() {
    Route::group(array('prefix' => 'auth/'), function() {
        Route::post('login', 'AuthController@login');
        Route::get('check', 'AuthController@check');
    });

    Route::group(array('prefix' => 'cube/'), function() {
        Route::post('init', 'CubeController@init');
        Route::get('reset', 'CubeController@reset');
        Route::group(array('prefix' => 'set/') , function(){
            Route::post('site', 'VinculumController@setSite');
        });
    });

    Route::group(array('prefix' => 'site/'), function() {
        Route::group(array('prefix' => 'get/'), function() {
            Route::post('zones', 'SiteController@getZones');
        });
    });

    Route::group(array('prefix' => 'canvas/'), function() {
        Route::group(array('prefix' => 'get/'), function() {
            Route::post('png', 'SiteController@getPng');
        });
    });

    Route::group(array('prefix' => 'user/'), function() {
        Route::group(array('prefix' => 'get/'), function() {
            Route::get('sites', 'UserController@getSites');
            Route::get('sidebar', 'UserController@getSidebar');
        });
    });
});

App::missing(function($exception) {
    return BaseController::transverseRequest(Request::path(), Input::all());
});