<!DOCTYPE html>
<html lang="no" ng-app="unicomplex" ng-controller="AppCtrl">
<head static-include="{{headURL}}"></head>
<body style="opacity:0;">

  <header fh-header></header>

  <div ng-view class="fh-view"></div>

  <!-- <footer ng-include src="footerURL"></footer> -->

  <!-- Vendor Libraries -->
  <script src="js/vendor/zepto/zepto.js"></script>
  <script src="js/vendor/nouislider/jquery.nouislider.js"></script>
  <script src="js/vendor/angular/angular.js"></script>
  <script src="js/vendor/angular-route/angular-route.js"></script>
  <script src="js/vendor/angular-bootstrap/ui-bootstrap-tpls.js"></script>
  <script src="js/vendor/fastclick/lib/fastclick.js"></script>
  <script src="js/vendor/angular-ui-utils/ui-utils.js"></script>
  <script src="js/vendor/fabric/fabric.js"></script>

  <script src="js/vendor/cordova/cordova.js"></script>
  <script src="js/vendor/cordova/index.js"></script>
  <script>app.initialize();</script>

  <!-- App Libraries -->
  <script src="js/app/app.js"></script>

  <!-- Services and Factories -->
  <script src="js/app/services/static-service.js"></script>
  <script src="js/app/services/user-service.js"></script>
  <script src="js/app/services/site-service.js"></script>
  <script src="js/app/services/timers-service.js"></script>
  <script src="js/app/services/canvas-service.js"></script>
  <script src="js/app/services/websocket-service.js"></script>
  <script src="js/app/services/comm-service.js"></script>
  <script src="js/app/services/vinculum-service.js"></script>
  <script src="js/app/services/auth-service.js"></script>


  <!-- Controllers -->
  <script src="js/app/controllers/app-controller.js"></script>
  <script src="js/app/controllers/header-controller.js"></script>
  <script src="js/app/controllers/settings-controller.js"></script>
  <script src="js/app/controllers/users-controller.js"></script>
  <script src="js/app/controllers/timers-controller.js"></script>
  <script src="js/app/controllers/expressions-controller.js"></script>
  <script src="js/app/controllers/scenarios-controller.js"></script>
  <script src="js/app/controllers/macros-controller.js"></script>
  <script src="js/app/controllers/setup-controller.js"></script>
  <script src="js/app/controllers/site-controller.js"></script>
  <script src="js/app/controllers/recurringModal-controller.js"></script>
  <script src="js/app/controllers/oneTimeModal-controller.js"></script>
  <script src="js/app/controllers/editSiteNameModal-controller.js"></script>
  <script src="js/app/controllers/addSiteUserModal-controller.js"></script>
  <script src="js/app/controllers/editSiteUserModal-controller.js"></script>
  <script src="js/app/controllers/initCanvas-controller.js"></script>
  <script src="js/app/controllers/canvas-controller.js"></script>
  <script src="js/app/controllers/checkout-controller.js"></script>
  <script src="js/app/controllers/shoppingCart-controller.js"></script>
  <script src="js/app/controllers/light-controller.js"></script>
  <script src="js/app/controllers/heater-controller.js"></script>
  <script src="js/app/controllers/curtain-controller.js"></script>
  <script src="js/app/controllers/login-controller.js"></script>
  <script src="js/app/controllers/oldTimer-controller.js"></script>
  <script src="js/app/controllers/learn-controller.js"></script>
  <script src="js/app/controllers/init-controller.js"></script>
  <script src="js/app/controllers/selectSite-controller.js"></script>
  <script src="js/app/controllers/user-controller.js"></script>

  <!-- Filters -->
  <script src="js/app/filters/filters.js"></script>

  <!-- Directives -->
  <script src="js/app/directives/fhHeader-directive.js"></script>
  <script src="js/app/directives/fhChangeView-directive.js"></script>
  <script src="js/app/directives/fhEditSiteName-directive.js"></script>
  <script src="js/app/directives/fhEditSiteUser-directive.js"></script>
  <script src="js/app/directives/fhAddSiteUser-directive.js"></script>
  <script src="js/app/directives/fhAddRecurring-directive.js"></script>
  <script src="js/app/directives/fhAddOneTime-directive.js"></script>
  <script src="js/app/directives/fhToggleSidebar-directive.js"></script>
  <script src="js/app/directives/fhSlider-directive.js" ></script>
  <script src="js/app/directives/fhChangeMacroSetting-directive.js"></script>
  <script src="js/app/directives/fhSiteButton-directive.js"></script>
  <script src="js/app/directives/fhAddOldTimer-directive.js"></script>
  <script src="js/app/directives/fhEditZone-directive.js"></script>
  <!-- Third party -->
  <script src="js/app/directives/fhResize-directive.js"></script>
  <script src="js/app/directives/staticInclude-directive.js"></script>

</body>
</html>
